Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 19/09/2012, à 02:30

Zafo

[Résolu] Comment ne pas mettre à jour un paquet ?

Bonjour à tous,

Le fonctionnement d'Unison entre deux machines requiert la même version du soft installée de part et d'autre. A cette fin j'ai installé sur mon pc (Precise) une version antérieure d'Unison afin de pouvoir le faire fonctionner avec mon serveur (Lucid). A cette fin j'ai récupéré et installé le paquet compilé pour Lucid. Jusque là pas de problème, tout va bien.

Là où ça se complique, c'est que maintenant lorsque je fais un petit "apt-get upgrade" sur mon pc, il me propose de mettre Unison à jour également (ce que je ne veux pas !). Y aurait-il donc un moyen de marquer ce paquet afin qu'il ne soit pas inclus dans les upgrades ?

Merci d'avance pour votre aide !

Dernière modification par Zafo (Le 19/09/2012, à 18:04)


I know you believe you understand what you think I said, but I am not sure you realize that what you heard is not what I meant.

Hors ligne

#2 Le 19/09/2012, à 03:20

xabilon

Re : [Résolu] Comment ne pas mettre à jour un paquet ?

Salut

À mon avis, le plus simple et de créer un fichier /etc/apt/preferences, et y mettre le numéro de version du paquet unison que tu veux conserver.
C'est expliqué ici
Tu peux utiliser nano au lieu de vim pour créer le fichier (CTRL+O pour enregistrer, CTRL+X pour quitter)
Et pour savoir quoi mettre exactement comme version à garder :

dpkg -l | grep unison

le numéro de version installée est dans la 3ème colonne, entre le nom du paquet et l'architecture de celui-ci.

Remarque : dans la doc, juste en dessous, tu as une autre façon de geler un paquet.

Dernière modification par xabilon (Le 19/09/2012, à 03:22)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#3 Le 19/09/2012, à 04:39

Pacifick_FR42

Re : [Résolu] Comment ne pas mettre à jour un paquet ?

... avec synaptic tu peux "bloquer" une version...


Venez M'écouter !!! : http://www.pacifick-dream.fr/ - N'hésitez pas à me donner votre avis !!! -
Projet OpenSource : radioactif.pcexpert-loire.fr - Autre site : http://www.lheureducrime.com

Hors ligne

#4 Le 19/09/2012, à 04:40

Gemnoc

Re : [Résolu] Comment ne pas mettre à jour un paquet ?

xabilon a écrit :

À mon avis, le plus simple et de (...)

Tu peux utiliser nano au lieu de vim

confused0043.gif

On n'a définitivement pas la même définition de simplicité. wink

Ma suggestion : installes le gestionnaire de paquets Synaptic (si ce n'est déjà fait), ouvres-le, fais une recherche sur le paquet, sélectionnes-le puis tu vas dans le menu Paquet --> Bloquer la version.

Voilà.

Édition : grillé par Pacifick, j'ai perdu trop de temps à chercher mon icône lol

Dernière modification par Gemnoc (Le 19/09/2012, à 04:41)


Pensez à consulter la documentation ! :-)

Hors ligne

#5 Le 19/09/2012, à 04:44

Pacifick_FR42

Re : [Résolu] Comment ne pas mettre à jour un paquet ?

grilled wink Mais tu es plus explicite ! smile

Dernière modification par Pacifick_FR42 (Le 19/09/2012, à 04:45)


Venez M'écouter !!! : http://www.pacifick-dream.fr/ - N'hésitez pas à me donner votre avis !!! -
Projet OpenSource : radioactif.pcexpert-loire.fr - Autre site : http://www.lheureducrime.com

Hors ligne

#6 Le 19/09/2012, à 12:17

xabilon

Re : [Résolu] Comment ne pas mettre à jour un paquet ?

Bon, Zafo, t'as que l'embarras du choix.

Dernière modification par xabilon (Le 19/09/2012, à 12:45)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#7 Le 19/09/2012, à 14:26

alca94

Re : [Résolu] Comment ne pas mettre à jour un paquet ?

Puisque l'on parle de "bloquer la version"
pour l'instant je suis sous ubuntu 11.10 ,j'utilise wine version 1.3-26 avec lequel j'ai pu installer "word" j'ai essayer avec la 12.04 ou wine est en version 1.4 (sur un autre pc) ça marche pas ??
ma question est = Est-ce qu'en bloquant la version de 11.10 (1.3.26) et en migrant vers la 12.04 j'aurai toujours ma version de bloquer de wine 1.3.26

Hors ligne

#8 Le 19/09/2012, à 16:57

Pacifick_FR42

Re : [Résolu] Comment ne pas mettre à jour un paquet ?

la migration entre 11.10 > 12.04 posent souvent des problèmes, donc 2 solutions, soit tu test avec virtualbox soit tu fait une autre installe en dual-boot, j'espère que ton /home est sur une partition à part, sinon, pense a faire ça aussi... wink


Venez M'écouter !!! : http://www.pacifick-dream.fr/ - N'hésitez pas à me donner votre avis !!! -
Projet OpenSource : radioactif.pcexpert-loire.fr - Autre site : http://www.lheureducrime.com

Hors ligne

#9 Le 19/09/2012, à 17:16

xabilon

Re : [Résolu] Comment ne pas mettre à jour un paquet ?

Et si tu es en 64bits, ça risque aussi de coincer. Il n'y a plus de "vrai" paquet wine 64bits, il faut passer par le multiarch. Après je ne sais plus si c'était déjà le cas sur la 11.10


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#10 Le 19/09/2012, à 17:59

alca94

Re : [Résolu] Comment ne pas mettre à jour un paquet ?

Ça ne réponds pas a ma question de base à savoir

ma question est = Est-ce qu'en bloquant la version de 11.10 (1.3.26) et en migrant vers la 12.04 j'aurai toujours ma version de bloquer de wine 1.3.26

Hors ligne

#11 Le 19/09/2012, à 18:03

Zafo

Re : [Résolu] Comment ne pas mettre à jour un paquet ?

Que de réponses ! J'ai opté pour la solution du fichier /etc/apt/preferences et ça marche nickel.

Un grand merci à tous pour votre aide rapide et efficace !


I know you believe you understand what you think I said, but I am not sure you realize that what you heard is not what I meant.

Hors ligne

#12 Le 19/09/2012, à 23:28

xabilon

Re : [Résolu] Comment ne pas mettre à jour un paquet ?

alca94 a écrit :

Ça ne réponds pas a ma question de base à savoir

ma question est = Est-ce qu'en bloquant la version de 11.10 (1.3.26) et en migrant vers la 12.04 j'aurai toujours ma version de bloquer de wine 1.3.26

Ben logiquement oui.
La question subsidiaire est "est-ce que tu pourras mettre à niveau vers 12.04 en gardant ce paquet bloqué ?"


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#13 Le 19/09/2012, à 23:38

alca94

Re : [Résolu] Comment ne pas mettre à jour un paquet ?

Merci
pour la réponse effectivement ça peut bloquer la mise a niveau ? je verrai au mois d'Avril 2013

Hors ligne

Haut de page ↑